## org.biojava.bio.seq
Class FeatureFilter.BySource

    java.lang.Object
      |
      +--org.biojava.bio.seq.FeatureFilter.BySource

Enclosing class:
  FeatureFilter

public static class FeatureFilter.BySource
extends java.lang.Object
implements FeatureFilter

Construct one of these to filter features by source.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Inner classes inherited from class org.biojava.bio.seq.FeatureFilter
`FeatureFilter.AcceptAllFilter, FeatureFilter.And, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.Not, FeatureFilter.Or, FeatureFilter.OverlapsLocation`

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all`

Constructor Summary
`FeatureFilter.BySource(java.lang.String source)` Create a BySource filter that filters in all features which have sources equal to source.

Method Summary
`boolean` `accept(Feature f)` This method determines whether a fetaure is to be accepted.
`java.lang.String` `getSource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureFilter.BySource

    public FeatureFilter.BySource(java.lang.String source)

  Create a BySource filter that filters in all features which have sources equal to source.
  Parameters:
    `type` - the String to match source fields against

Method Detail

### getSource

    public java.lang.String getSource()

### accept

    public boolean accept(Feature f)

  Description copied from interface: FeatureFilter
  This method determines whether a fetaure is to be accepted.
  Specified by:
    accept in interface FeatureFilter
  Tags copied from interface: FeatureFilter
  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored